HASHKIT_VALUE(3)

NAME
hashkit_value - libhashkit Documentation

SYNOPSIS

#include <libhashkit-1.0/hashkit.h>
    Compile and link with -lhashkit

uint32_t hashkit_value(hashkit_st <#_CPPv410hashkit_st> *hash, const char *key, size_t key_length)

Parameters

•   hash -- pointer to an initialized hashkit_st <#_CPPv410hashkit_st> struct

•   key -- the key to genereate a hash of

•   key_length -- the length of the key without any terminating zero byte

DESCRIPTION

The hashkit_value() function generates a 32-bit hash value from the given key and key_length. The hash argument is an initialized hashkit object, and distribution type and hash function is used from this object while generating the value.

RETURN VALUE

A 32-bit hash value.

SEE ALSO

libhashkit(3) <https://linux.die.net/man/3/libhashkit> hashkit_create(3) <https://linux.die.net/man/3/hashkit_create> hashkit_function(3) <https://linux.die.net/man/3/hashkit_function> hashkit_functions(3) <https://linux.die.net/man/3/hashkit_functions>